org.apache.cassandra.utils

## Class NoSpamLogger.NoSpamLogStatement

- java.lang.Object
- - java.lang.Number
  - - java.util.concurrent.atomic.AtomicLong
    - - org.apache.cassandra.utils.NoSpamLogger.NoSpamLogStatement

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    NoSpamLogger

      public class NoSpamLogger.NoSpamLogStatement
      extends java.util.concurrent.atomic.AtomicLong

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoSpamLogStatement(java.lang.String statement, long minIntervalNanos)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `error(long nowNanos, java.lang.Object... objects)`
    `boolean` | `error(java.lang.Object... objects)`
    `boolean` | `info(long nowNanos, java.lang.Object... objects)`
    `boolean` | `info(java.lang.Object... objects)`
    `boolean` | `log(NoSpamLogger.Level l, long nowNanos, java.lang.Object... objects)`
    `boolean` | `warn(long nowNanos, java.lang.Object... objects)`
    `boolean` | `warn(java.lang.Object... objects)`

    - ### Methods inherited from class java.util.concurrent.atomic.AtomicLong

      `accumulateAndGet, addAndGet, compareAndSet, decrementAndGet, doubleValue, floatValue, get, getAndAccumulate, getAndAdd, getAndDecrement, getAndIncrement, getAndSet, getAndUpdate, incrementAndGet, intValue, lazySet, longValue, set, toString, updateAndGet, weakCompareAndSet`

    - ### Methods inherited from class java.lang.Number

      `byteValue, shortValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoSpamLogStatement

          public NoSpamLogStatement(java.lang.String statement,
                                    long minIntervalNanos)

  - ### Method Detail

    - #### log

          public boolean log(NoSpamLogger.Level l,
                             long nowNanos,
                             java.lang.Object... objects)

    - #### info

          public boolean info(long nowNanos,
                              java.lang.Object... objects)

    - #### info

          public boolean info(java.lang.Object... objects)

    - #### warn

          public boolean warn(long nowNanos,
                              java.lang.Object... objects)

    - #### warn

          public boolean warn(java.lang.Object... objects)

    - #### error

          public boolean error(long nowNanos,
                               java.lang.Object... objects)

    - #### error

          public boolean error(java.lang.Object... objects)

Copyright © 2018 The Apache Software Foundation